Subject: Re: linux-next: runtime failure of next-20190603

From: Matthew Wilcox <[email-masked]>
Date: Mon, 3 Jun 2019 15:59:54 -0700

On Mon, Jun 03, 2019 at 02:07:26PM -0700, Dave Hansen wrote:
> On 6/2/19 11:22 PM, Stephen Rothwell wrote:
> > My qemu powerpc_pseries_le_defconfig boots failed today with the
> > following output at shutdown time:
> ...
> > [   32.112430] NIP [c000000000bbeb38] xas_load+0x8/0xd0
> ...
> > Reverting commit
> > 
> > fa858b6eec3f ("XArray: Add xas_replace")
> > 
> > made the failure go away.
> 
> I'm seeing a similar softlockup:

I've taken that commit out of my xarray tree.  It's only a performance
optimisation, so I don't mind dropping it until it's debugged.